accrue.jl5

## Class AccrueJL5Scheduler.AccrueJL5SchedulerHelper

- java.lang.Object
- - accrue.AccrueSchedulerHelper
  - - accrue.jl5.AccrueJL5Scheduler.AccrueJL5SchedulerHelper

- Enclosing class:
    AccrueJL5Scheduler

      public static class AccrueJL5Scheduler.AccrueJL5SchedulerHelper
      extends AccrueSchedulerHelper

- - ### Field Summary

    - ### Fields inherited from class accrue.AccrueSchedulerHelper

      `extInfo, sched`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccrueJL5Scheduler.AccrueJL5SchedulerHelper(polyglot.frontend.ExtensionInfo extInfo, polyglot.frontend.Scheduler sched)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `polyglot.frontend.goals.Goal` | `PostModificationGoal(polyglot.frontend.Job job)` Return a goal that indicates all passes that will modify code to simplify analysis has been performed.
    `polyglot.frontend.goals.Goal` | `RegisterPointerStmts(polyglot.frontend.Job job)`

    - ### Methods inherited from class accrue.AccrueSchedulerHelper

      `AnalysesDone, AntiDepAnalysis, ComputeFinallyStructure, ComputeFinallyStructureDone, DefUseAnalysis, Dominator, ExpressionFlattenerGoal, InlineFinalConstants, MakeInstanceInitializersExplicitGoal, MakeNarrowingAssignmentsExplicit, MakeTargetsExplicitGoal, MoveInnerClassesGoal, MoveLocalClassesGoal, MoveStaticFieldInitializers, NonFatalPostDominator, NotNullAnalysis, PointerAnalysis, PostDominator, PreciseCallGraph, PreciseExceptionAnalysis, PreModificationBarrier, ReadWriteSet, RegisterDecls, RegisterExpressions, RegisterPointerStmtsDone, RegisterProcedures, RegisterProceduresDone, SimplifyExpressionsGoal`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AccrueJL5Scheduler.AccrueJL5SchedulerHelper

          public AccrueJL5Scheduler.AccrueJL5SchedulerHelper(polyglot.frontend.ExtensionInfo extInfo,
                                                     polyglot.frontend.Scheduler sched)

  - ### Method Detail

    - #### RegisterPointerStmts

          public polyglot.frontend.goals.Goal RegisterPointerStmts(polyglot.frontend.Job job)

      Overrides:
        `RegisterPointerStmts` in class `AccrueSchedulerHelper`

    - #### PostModificationGoal

          public polyglot.frontend.goals.Goal PostModificationGoal(polyglot.frontend.Job job)

      Description copied from class: `AccrueSchedulerHelper`
      Return a goal that indicates all passes that will modify code to simplify analysis has been performed.
      Overrides:
        `PostModificationGoal` in class `AccrueSchedulerHelper`